// Ajax Engine
function createXMLHTTPObject() {
var xmlhttp = false;
if ( typeof XMLHttpRequest != 'undefined' ){
	xmlhttp	=	new XMLHttpRequest();
}else if( window.ActiveXObject ){
	aVersions = ['MSXML2.XMLHTTP.5.0','MSXML.XMLHTTP.4.0','MSXML.XMLHTTP.3.0','MSXML.XMLHTTP','Microsoft.XMLHTTP'];
	for ( i = 0 ; i < aVersions.length; i++ ){
		try {
			xmlhttp = new ActiveXObject(aVersions[i])	;
		} catch(e) {continue;}
		break;
	}
}
if ( !xmlhttp ) alert('Could not install Ajax.');
return xmlhttp;
}

function randnumber(){
return parseInt(Math.random()*(9999999999999));
}
function elm(id){return document.getElementById(id)}

// Loading Settings
function floading(div,location){
if ( location == "txt" ){elm(div).innerHTML	=	"<img src="+loading+" border='0' /> ...Please Wait";}
else{elm(div).innerHTML	=	"<img src="+loading+" border='0' />";}
}
// -------------------------------------

function show(page,title){
var Ajax = createXMLHTTPObject();
floading('index','img')		;
var url = page+'.php?rand='+randnumber()	;
Ajax.open('GET',url,true);
Ajax.onreadystatechange = function()
	{
	if ( Ajax.readyState == 4 ){
		if ( Ajax.status == 200 || Ajax.status == 304){
			elm('index').innerHTML	=	Ajax.responseText ;
			if(title) elm('tp').innerHTML	=	title ;
		}else{
			document.getElementById('index').innerHTML = '<font color="#FF0000">page : "'+url+'" currently is not available. STATUS('+Ajax.status+')</font>' ;
		}
	}
	};
Ajax.send(null);
}

function show2(url,div,tp,title,action){
var Ajax = createXMLHTTPObject();
floading(div,'img');
Ajax.open('GET',url,true);
Ajax.onreadystatechange = function()
	{
	if ( Ajax.readyState == 4 ){
		if ( Ajax.status == 200 || Ajax.status == 304 ){
			elm(div).innerHTML	=	Ajax.responseText ;
			if(title) elm(tp).innerHTML	=	title ;
			if(action) action();
		}else{
			document.getElementById(div).innerHTML = '<font color="#FF0000">page : "'+url+'" currently is not available. STATUS('+Ajax.status+')</font>' ;
		}
	}
	};
Ajax.send(null);
}

function show3(url,div,tp,title,action){
//for framework
	elm(div).innerHTML	=	'<iframe src="'+url+'" width="100%" height="800" scrolling="no" frameborder="0" ></iframe>' ;
	if(title) elm(tp).innerHTML	=	title ;
	if(action) action();
}

function getformcontent(oForm){
var aParams = new Array();
for (var i = 0 ; i < oForm.elements.length; i++ ){
	var element = oForm.elements[i];
	if(element.type == 'radio' || element.type == 'checkbox'){
		if(element.checked) {
			var sParam = element.name;
			sParam += "=" ;
			sParam += encodeURIComponent(element.value);
			aParams.push(sParam);
		}
	}else if(element.nodeName == 'FIELDSET'){}
	else{
		var sParam = element.name;
		sParam += "=" ;
		sParam += encodeURIComponent(element.value);
		aParams.push(sParam);
	}
}
return aParams.join('&');
}

function sendcontent(oForm,div,action){
sBody = getformcontent(oForm);
sendcontent2(oForm.action,sBody,div,action);
}

function sendcontent2(url,sBody,div,action){
var Ajax = createXMLHTTPObject();
floading(div,'img');
Ajax.open('POST',url,true);
Ajax.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
Ajax.onreadystatechange = function()
	{
	if ( Ajax.readyState == 4 ){
		if ( Ajax.status == 200 || Ajax.status == 304 ){
			document.getElementById(div).innerHTML = Ajax.responseText ;
			if(action) action();
		}else{
			document.getElementById(div).innerHTML = '<font color="#FF0000">page : "'+url+'" currently is not available. STATUS('+Ajax.status+')</font>' ;
		}
	}
	};
Ajax.send(sBody);
}

function connectto(url,id,div,action){
var Ajax = createXMLHTTPObject();
Ajax.open('GET',url,true);
Ajax.onreadystatechange = function()
	{
	if ( Ajax.readyState == 4 ){
		if ( Ajax.status == 200 || Ajax.status == 304 ){
			if (id){
				document.getElementById('row_'+id).style.display = 'none';
			}else{
				document.getElementById(div).innerHTML	=	Ajax.responseText ;
				if(action) action();
			}
		}else{
			if(div)
			document.getElementById(div).innerHTML = '<font color="#FF0000">page : "'+url+'" currently is not available. STATUS('+Ajax.status+')</font>' ;
		}
	}
	};
Ajax.send(null);
}

function fade_out(c){
if(!c) c = document.getElementById('mess');
setTimeout(function(){c.alpha = 100;c.timer = setInterval(function(){change_alpha(c,-6)},30);},6000);
c.onmouseover = function(){c.fixalpha = true};
c.onmouseout = function(){c.fixalpha = false};
}

function change_alpha(c,d){
if(! c.fixalpha ){
	c.alpha += d;
	c.style.opacity = c.alpha / 100;
	c.style.filter = 'alpha(opacity=' + c.alpha + ')';
}
if(c.alpha <= 0){
	clearInterval(c.timer);
	c.style.display = 'none';
}
else if(c.alpha > 100){
	clearInterval(c.timer);
	c.style.display = '';
}
}

function sendlogininfo(oForm,div){
var Ajax = createXMLHTTPObject();
floading(div,'txt');
var sBody = getformcontent(oForm);
Ajax.open('POST',oForm.action,true);
Ajax.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
Ajax.onreadystatechange = function()
	{
	if ( Ajax.readyState == 4 ){
		if ( Ajax.status == 200 || Ajax.status == 304 ){
			eval(Ajax.responseText);
		}else{
			document.getElementById(div).innerHTML = '<font color="#FF0000">page : "'+oForm.action+'" currently is not available. STATUS('+Ajax.status+')</font>' ;
		}
	}
	};
Ajax.send(sBody);
}

function help(elm,lng,code){
if(x = document.getElementById('help'))x.parentNode.removeChild(x);
elm.parentNode.innerHTML += '<div align="center" class="blue" id="help"></div>';
url = '../language/'+lng+'_Help.php?code='+code;
connectto(url,null,'help',function(){fade_out(document.getElementById('help'))});
}